Skip to main content
`Ctrl`+`K`

# NEPMonitorFn

A function prototype for functions provided to `NEPMonitorSet()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode NEPMonitorFn(NEP nep,PetscInt its,PetscInt nconv,PetscScalar eigr[],PetscScalar eigi[],PetscReal errest[],PetscInt nest,void *ctx);

## Calling Sequence

- nep - the nonlinear eigensolver context

- its - iteration number

- nconv - number of converged eigenpairs

- eigr - real part of the eigenvalues

- eigi - imaginary part of the eigenvalues

- errest - relative error estimates for each eigenpair

- nest - number of error estimates

- ctx - optional monitoring context, as provided with `NEPMonitorSet()`

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPMonitorSet()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages